%define module	django-userena

Name:		python-%{module}
Version:	2.0.1
Release:	%mkrel 1
Summary:	Complete user management application for Django
Group:		Development/Python
License:	BSD
URL:		https://github.com/bread-and-pepper/django-userena/
Source0:	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.xz
Patch0:		django-userena-2.0.1-mga-fix-setup-install_requires.patch
BuildArch:	noarch

%description
Userena is a Django application that supplies your Django project with full
account management. It's a fully customizable application that takes care of
the signup, activation, messaging and more.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Complete user management application for Django
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Userena is a Django application that supplies your Django project with full
account management. It's a fully customizable application that takes care of
the signup, activation, messaging and more.

#---------------------------------------------------------------------------
%prep
%setup -q -n %{module}-%{version}
%apply_patches

# Remove bundled egg-info
rm -rf django_userena.egg-info

%build
%py3_build

%install
%py3_install

# drop translation catalogs
find %{buildroot} -name "*.po" -delete

%files -n python3-%{module}
%{python3_sitelib}/userena/*py*
%{python3_sitelib}/userena/contrib/
%{python3_sitelib}/userena/fixtures/
%{python3_sitelib}/userena/management/
%{python3_sitelib}/userena/migrations/
%{python3_sitelib}/userena/runtests/
%{python3_sitelib}/userena/south_migrations/
%{python3_sitelib}/userena/templates/
%{python3_sitelib}/userena/tests/
%{python3_sitelib}/django_userena-%{version}-py%{python3_version}.egg-info
# locale files
%lang(bg) %{python3_sitelib}/userena/locale/bg/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/userena/locale/de/LC_MESSAGES/django.?o
%lang(de_du) %{python3_sitelib}/userena/locale/de_du/LC_MESSAGES/django.?o
%lang(el) %{python3_sitelib}/userena/locale/el/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/userena/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/userena/locale/fr/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/userena/locale/it/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/userena/locale/nb/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/userena/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/userena/locale/pl/LC_MESSAGES/django.?o
%lang(pt) %{python3_sitelib}/userena/locale/pt/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/userena/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ro) %{python3_sitelib}/userena/locale/ro/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/userena/locale/ru/LC_MESSAGES/django.?o
%lang(tr) %{python3_sitelib}/userena/locale/tr/LC_MESSAGES/django.?o
%lang(zh_CN) %{python3_sitelib}/userena/locale/zh_CN/LC_MESSAGES/django.?o
%lang(zh_TW) %{python3_sitelib}/userena/locale/zh_TW/LC_MESSAGES/django.?o


%changelog
* Fri Aug 05 2022 tex - 2.0.1-1pclos2022
- new version

